macOS (Macbook air, m2 chip, 16 GB RAM) qiime2 2024.2 installation error

Hi! I am trying to install qiime2 natively in conda environment on my macbook air. When I get to this step in installation:
conda env create -n qiime2-amplicon-2024.2 --file qiime2-amplicon-2024.2-py38-osx-conda.yml

I get many dependency errors.


This is just one segment of the errors that come up. How do I solve this? Thanks!

Hello @MADELAINE_LEITMAN,

Can you run conda config --show and share the output?

@colinvwood

conda config --show

add_anaconda_token: True

add_pip_as_python_dependency: True

aggressive_update_packages:

  • ca-certificates

  • certifi

  • openssl

allow_conda_downgrades: False

allow_cycles: True

allow_non_channel_urls: False

allow_softlinks: False

allowlist_channels:

always_copy: False

always_softlink: False

always_yes: None

anaconda_anon_usage: True

anaconda_upload: None

auto_activate_base: True

auto_stack: 0

auto_update_conda: True

bld_path:

changeps1: True

channel_alias: https://conda.anaconda.org

channel_priority: flexible

channel_settings:

channels:

  • qiime2

  • bioconda

  • conda-forge

  • defaults

client_ssl_cert: None

client_ssl_cert_key: None

clobber: False

conda_build: {}

create_default_packages:

croot: /opt/anaconda3/conda-bld

custom_channels:

pkgs/main: https://repo.anaconda.com

pkgs/r: https://repo.anaconda.com

pkgs/pro: https://repo.anaconda.com

custom_multichannels:

defaults:

local:

debug: False

default_channels:

default_python: 3.11

default_threads: None

deps_modifier: not_set

dev: False

disallowed_packages:

download_only: False

dry_run: False

enable_private_envs: False

env_prompt: ({default_env})

envs_dirs:

  • /opt/anaconda3/envs

  • /Users/madelaineleitman/.conda/envs

error_upload_url: https://conda.io/conda-post/unexpected-error

execute_threads: 1

experimental:

extra_safety_checks: False

fetch_threads: 5

force: False

force_32bit: False

force_reinstall: False

force_remove: False

ignore_pinned: False

json: False

local_repodata_ttl: 1

migrated_channel_aliases:

migrated_custom_channels: {}

no_lock: False

no_plugins: False

non_admin_enabled: True

notify_outdated_conda: True

number_channel_notices: 5

offline: False

override_channels_enabled: True

path_conflict: clobber

pinned_packages:

pip_interop_enabled: False

pkgs_dirs:

  • /opt/anaconda3/pkgs

  • /Users/madelaineleitman/.conda/pkgs

proxy_servers: {}

quiet: False

register_envs: True

remote_backoff_factor: 1

remote_connect_timeout_secs: 9.15

remote_max_retries: 3

remote_read_timeout_secs: 60.0

repodata_fns:

  • current_repodata.json

  • repodata.json

repodata_threads: None

repodata_use_zst: True

report_errors: None

restore_free_channel: False

rollback_enabled: True

root_prefix: /opt/anaconda3

safety_checks: warn

sat_solver: pycosat

separate_format_cache: False

shortcuts: True

shortcuts_only:

show_channel_urls: None

signing_metadata_url_base: None

solver: libmamba

solver_ignore_timestamps: False

ssl_verify: True

subdir: osx-arm64

subdirs:

  • osx-arm64

  • noarch

target_prefix_override:

trace: False

track_features:

unsatisfiable_hints: True

unsatisfiable_hints_check_depth: 2

update_modifier: update_specs

use_index_cache: False

use_local: False

use_only_tar_bz2: False

verbosity: 0

verify_threads: 1

Hello @MADELAINE_LEITMAN,

Since you're using an M2 Mac you need to run CONDA_SUBDIR=osx-64 conda env create -n qiime2-amplicon-2024.2 --file qiime2-amplicon-2024.2-py38-osx-conda.yml as the docs specify here.

@colinvwood , got it, thank you!

Now after this command:

CONDA_SUBDIR=osx-64 conda env create -n qiime2-amplicon-2024.2 --file qiime2-amplicon-2024.2-py38-osx-conda.yml

I get this error:

return code: 18

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/anaconda3/bin/conda", line 13, in
sys.exit(main())
^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/cli/main.py", line 127, in main
return conda_exception_handler(main, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 387, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 20, in call
return self.handle_exception(exc_val, exc_tb)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 61, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 77, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 83, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/opt/anaconda3/lib/python3.11/site-packages/conda/exceptions.py", line 1261, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/opt/anaconda3/lib/python3.11/logging/init.py", line 1518, in error
self._log(ERROR, msg, args, **kwargs)
File "/opt/anaconda3/lib/python3.11/logging/init.py", line 1634, in _log
self.handle(record)
File "/opt/anaconda3/lib/python3.11/logging/init.py", line 1643, in handle
if (not self.disabled) and self.filter(record):
^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/logging/init.py", line 830, in filter
result = f.filter(record)
^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/gateways/logging.py", line 66, in filter
record.msg = record.msg % new_args
~~~^~
File "/opt/anaconda3/lib/python3.11/site-packages/conda/init.py", line 104, in repr
errs.append(e.repr())
^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/init.py", line 58, in repr
return f"{self.class.name}: {self}"
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/opt/anaconda3/lib/python3.11/site-packages/conda/init.py", line 62, in str
return str(self.message % self._kwargs)
~^~
ValueError: unsupported format character 'T' (0x54) at index 2094

Hello @MADELAINE_LEITMAN,

Try conda clean --all and then rerun.

That works! Thank you @colinvwood !

1 Like